org.codehaus.plexus

## Class PlexusContainerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.PlexusContainerException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DuplicateChildContainerException

    public class PlexusContainerException
    extends Exception

Container execution exception.

Version:
  $Id: PlexusContainerException.java 2097 2005-06-07 00:08:45Z jdcasey $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlexusContainerException(String message)`
`PlexusContainerException(String message, Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlexusContainerException

    public PlexusContainerException(String message,
                            Throwable throwable)

#### PlexusContainerException

    public PlexusContainerException(String message)